## PhoshCallsManager

PhoshCallsManager — Track ongoing phone calls

## Functions

PhoshCallsManager * | phosh_calls_manager_new ()
gboolean | phosh_calls_manager_get_present ()
gboolean | phosh_calls_manager_get_incoming ()
const char * | phosh_calls_manager_get_active_call_handle ()
PhoshCall * | phosh_calls_manager_get_call ()

## Properties

char * | active-call | Read
gboolean | present | Read

## Signals

void | call-inbound | Run Last
void | call-removed | Run Last

## Types and Values

enum | PhoshCallState
#define | PHOSH_TYPE_CALLS_MANAGER
| PhoshCallsManager

## Object Hierarchy

        GObject
        ╰── PhoshManager
            ╰── PhoshCallsManager

## Description

PhoshCallsManager tracks on going calls on the org.gnome.Calls DBus interface and allows interaction with them by wrapping the PhoshCallsDBusCallsCall proxies in PhoshCall so all DBus and ObjectManager related logic stays local within PhoshCallsManager.

## Functions

### phosh_calls_manager_new ()

    PhoshCallsManager *
    phosh_calls_manager_new (void);

### phosh_calls_manager_get_present ()

    gboolean
    phosh_calls_manager_get_present (PhoshCallsManager *self);

### phosh_calls_manager_get_incoming ()

    gboolean
    phosh_calls_manager_get_incoming (PhoshCallsManager *self);

### phosh_calls_manager_get_active_call_handle ()

    const char *
    phosh_calls_manager_get_active_call_handle
                                   (PhoshCallsManager *self);

### phosh_calls_manager_get_call ()

    PhoshCall *
    phosh_calls_manager_get_call (PhoshCallsManager *self,
                                  const char *handle);

## Types and Values

### enum PhoshCallState

The call state. Must match call's CallsCallState.

#### Members

### PHOSH_TYPE_CALLS_MANAGER

    #define PHOSH_TYPE_CALLS_MANAGER (phosh_calls_manager_get_type ())

### PhoshCallsManager

    typedef struct _PhoshCallsManager PhoshCallsManager;

## Property Details

### The `“active-call”` property

      “active-call”              char *

The currently active call

Owner: PhoshCallsManager

Flags: Read

Default value: NULL

### The `“present”` property

      “present”                  gboolean

Whether the call interface is present on the bus

Owner: PhoshCallsManager

Flags: Read

Default value: FALSE

## Signal Details

### The `“call-inbound”` signal

    void
    user_function (PhoshCallsManager *phoshcallsmanager,
                   char              *arg1,
                   gpointer           user_data)

Flags: Run Last

### The `“call-removed”` signal

    void
    user_function (PhoshCallsManager *phoshcallsmanager,
                   char              *arg1,
                   gpointer           user_data)

Flags: Run Last